<div class="container" style="border-bottom: 1px solid grey;">
    <div class="innerContainer">
        <p style="display:grid; place-items: center;">#{{id}}</p>
        <img *ngIf="imgSrc != null" [src]="imgSrc">
        <p style="display:grid; place-items: center;">{{name}}</p>
    </div>
    <div class="rightContainer">
        <!-- Kolla om inloggad om inloggad visa nedre delen-->
        <div *ngIf="spotted" style="display:grid; place-items: center;">
            <fa-icon [icon]="faEye" class="active" placement="right" [ngbTooltip]="'You\'ve seen a total of ' + spotted.count + ' of ' + name + 's'"></fa-icon>
       
            <fa-icon [icon]="faMagic" [className]="spotted.shiny ? 'active' : 'inactive'" placement="right" [ngbTooltip]="spotted.shiny ? 'You have spotted a shiny' : 'You\'ve never spotted a shiny'"></fa-icon>
            <fa-icon [icon]="faVenus" [className]="spotted.female ? 'active' : 'inactive'" placement="right" [ngbTooltip]="spotted.female ? 'You have spotted a female' : 'You\'ve never spotted a female'"></fa-icon>
            <fa-icon [icon]="faMars" [className]="spotted.male ? 'active' : 'inactive'" placement="right" [ngbTooltip]="spotted.male ? 'You have spotted a male' : 'You\'ve never spotted a male'"></fa-icon>
        </div>
        <div *ngIf="spotted === null" style="display:grid; place-items: center;">
            <fa-icon [icon]="faEye" class="inactive" placement="right" [ngbTooltip]="'You\'ve never spotted this pokemon'"></fa-icon>
        </div>
        <fa-icon [icon]="faRare" [className] ="rare ? 'active' : 'inactive'" style="display:grid; place-items: center;" placement="right" [ngbTooltip]="rare ? 'This is a rare pokemon' : 'This is not a rare pokemon'"></fa-icon>
    </div>
</div>